package it.unibo.cs.labp.slide.al;

import java.io.PrintStream;

public class Presentazione implements IPresentazione {
	Lucido[] lucidi;
	Stampabile metadati;
		
	public Presentazione(Stampabile metadati, Lucido[] lucidi) {
		this.lucidi = lucidi;
		this.metadati = metadati;
	}

	public void stampa(PrintStream out) {
		out.println("presentazione");
		metadati.stampa(out);
		for (int i = 0; i < lucidi.length; i++) {
			lucidi[i].stampa(out);
		}
	}


}
